[arch-commits] Commit in libxcursor/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 01:24:41 EDT 2009


    Date: Tuesday, April 14, 2009 @ 01:24:41
  Author: eric
Revision: 35583

Merged revisions 356,15564,35582 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libxcursor/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r15564 | ronald | 2008-10-15 10:19:55 -0400 (Wed, 15 Oct 2008) | 1 line
  
  fix license
........
  r35582 | eric | 2009-04-14 01:24:24 -0400 (Tue, 14 Apr 2009) | 2 lines
  
  upgpkg: libxcursor 1.1.9-2
      Added license
........

Modified:
  libxcursor/repos/extra-x86_64/	(properties)
  libxcursor/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)


Property changes on: libxcursor/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libxcursor/trunk:1
   + /libxcursor/trunk:1-35582

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-14 05:24:24 UTC (rev 35582)
+++ extra-x86_64/PKGBUILD	2009-04-14 05:24:41 UTC (rev 35583)
@@ -3,20 +3,25 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxcursor
 pkgver=1.1.9
-pkgrel=1
+pkgrel=2
 pkgdesc="X cursor management library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libxfixes' 'libxrender')
 makedepends=('pkgconfig')
 options=('!libtool')
 source=(${url}/releases/individual/lib/libXcursor-${pkgver}.tar.bz2)
+md5sums=('99b7554037a92b260891091e81815a0a')
 
 build() {
-  cd ${startdir}/src/libXcursor-${pkgver}
+  cd ${srcdir}/libXcursor-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
               --build=${CHOST} --host=${CHOST}
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+
+  # install custom license
+  install -Dm644 $srcdir/libXcursor-$pkgver/COPYING \
+	$pkgdir/usr/share/licenses/$pkgname/COPYING || return 1
 }
-md5sums=('99b7554037a92b260891091e81815a0a')



More information about the arch-commits mailing list